%define upstream_name    Net-CUPS
%define upstream_version 0.61

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 4

Summary:	Common Unix Printing System Interface
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel
BuildRequires:	cups-devel
BuildRequires:	perl(Test::More)


%description
Net::CUPS is an object oriented interface to the Common Unix Printing
System.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# those test requires a running cups server
# http://rt.cpan.org/Ticket/Display.html?id=38469
rm -f t/03_destination.t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.610.0-4.mga3
+ Revision: 370508
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.610.0-3.mga3
+ Revision: 250982
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.610.0-2.mga2
+ Revision: 104821
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.610.0-1.mga1
+ Revision: 30889
- mageia rebuild
- imported package perl-Net-CUPS

